DUMPKEYS(1)

NUME
dumpkeys - afișează tabelele de conversie a tastaturii

SINOPSIS
dumpkeys [OPȚIUNI]

DESCRIERE

dumpkeys scrie, la ieșirea standard, conținutul curent al tabelelor de conversie ale controlorului de tastatură, în formatul specificat de keymaps(5).

Cu ajutorul diferitelor opțiuni, se poate controla formatul ieșirii și se pot obține și alte informații de la nucleu și de la programele dumpkeys(1) și loadkeys(1).

OPȚIUNI

-h --help
    Afișează numărul de versiune al programului și un scurt mesaj de utilizare la ieșirea de eroare standard a programului și iese.

-i --short-info
    Afișează unele caracteristici ale controlorului de tastatură al nucleului. Elementele afișate sunt:

    Gama de coduri de taste acceptată de nucleu

        Aceasta indică ce valori pot fi utilizate după cuvântul cheie keycode (cod tastă) în fișierele de tabele de taste. A se vedea keymaps(5) pentru mai multe informații și pentru sintaxa acestor fișiere.

    Numărul de acțiuni care pot fi asociate unei taste

        Acesta indică numărul de acțiuni diferite pe care o singură tastă le poate produce folosind diferite taste modificatoare. Dacă valoarea este 16, de exemplu, puteți defini până la 16 acțiuni diferite pentru o tastă combinată cu modificatori. Atunci când valoarea este 16, nucleul știe probabil despre patru taste modificatoare, pe care le puteți apăsa în diferite combinații cu tasta pentru a accesa toate acțiunile definite.

    Gama de coduri de acțiune acceptată de nucleu

        Acest element conține o listă de intervale de coduri de acțiune în notație hexazecimală. Acestea sunt valorile care pot fi utilizate în partea dreaptă a definiției unei taste, adică vv dintr-o linie.

            keycode xx = vv vv vv vv

        (a se vedea keymaps(5) pentru mai multe informații despre formatul liniilor de definire a tastelor). dumpkeys(1) și loadkeys(1) acceptă o notație simbolică, care este preferabilă celei numerice, deoarece codurile de acțiune pot varia de la un nucleu la altul, în timp ce numele simbolice rămân de obicei aceleași. Cu toate acestea, lista de intervale de coduri de acțiune poate fi utilizată pentru a determina dacă nucleul acceptă efectiv toate simbolurile pe care loadkeys(1) le cunoaște sau dacă există poate unele acțiuni acceptate de nucleu care nu au un nume simbolic în programul loadkeys(1). Pentru a vedea acest lucru, se compară lista de intervale cu lista de simboluri de acțiune, a se vedea opțiunea --long-info de mai jos.

    Numărul de taste funcționale acceptate de nucleu

        Acesta indică numărul de coduri de acțiune care pot fi utilizate pentru a emite șiruri de caractere. Aceste coduri de acțiune sunt în mod tradițional legate de diversele taste de funcție și de editare de pe tastatură și sunt definite pentru a trimite secvențe de control standard. Cu toate acestea, le puteți redefini pentru a trimite linii de comandă obișnuite, adrese de e-mail sau orice altceva doriți. Mai ales dacă numărul acestui element este mai mare decât numărul de taste de funcție și de editare de pe tastatura dumneavoastră, este posibil să aveți câteva coduri de acțiune „de rezervă” pe care le puteți lega la combinațiile AltGr-literă, de exemplu, pentru a trimite niște șiruri utile. Consultați loadkeys(1) pentru mai multe detalii.

    Șiruri de funcții

        Puteți vedea definițiile actuale ale tastelor de funcție cu ajutorul comenzii

            dumpkeys --funcs-only

-l -s --long-info
    Această opțiune îi indică lui dumpkeys să afișeze o listă lungă de informații. Rezultatul este același ca și în cazul opțiunii --short-info, la care se adaugă lista simbolurilor de acțiune acceptate de loadkeys(1) și dumpkeys(1), împreună cu valorile numerice ale simbolurilor.

-n --numeric
    Această opțiune face ca dumpkeys să ocolească conversia valorilor codului de acțiune în notație simbolică și să le afișeze în schimb în format hexazecimal.

-f --full-table
    Aceasta face ca dumpkeys să omită toate comenzile rapide euristice (a se vedea keymaps(5)) și să afișeze combinațiile de taste în forma canonică. Mai întâi se imprimă o linie de scheme de tastatură care descrie combinațiile de modificatori definite în prezent. Apoi, pentru fiecare tastă se imprimă un rând cu o coloană pentru fiecare combinație de modificatori. De exemplu, dacă în cazul în care schema de taste utilizată în prezent se utilizează șapte modificatori, fiecare rând va avea șapte coloane de coduri de acțiune. Acest format poate fi util, de exemplu, pentru programele care prelucrează ulterior ieșirea lui dumpkeys.

-Sformat  --shape=format
    Formate disponibile:

    2 ieșirea implicită.

    4 o linie pentru fiecare cod de taste.

    8 o linie pentru fiecare pereche (modificator, cod de taste).

    16 o linie pentru fiecare cod de tastă până la primul loc gol din tabel.

-1 --separate-lines
    Aceasta forțează dumpkeys să scrie o linie pentru fiecare pereche (modificator,cod cheie). Prefixează cuvântul plain pentru codurile de taste simple.

-t --funcs-only
    Atunci când se dă această opțiune, dumpkeys afișează numai definițiile șirurilor de taste de funcții. În mod normal, dumpkeys afișează atât combinațiile de taste, cât și definițiile șirurilor.

-k --keys-only
    Atunci când se dă această opțiune, dumpkeys afișează numai combinațiile de taste. În mod normal, dumpkeys afișează atât combinațiile de taste, cât și definițiile șirurilor.

-d --compose-only
    Atunci când se dă această opțiune, dumpkeys afișează numai combinațiile de taste de compunere. Această opțiune este disponibilă numai dacă nucleul dumneavoastră are suport pentru taste de compunere.

-cset-caractere  --charset=set-caractere
    Acest lucru îi indică lui dumpkeys să interpreteze valorile codurilor de caractere în conformitate cu setul de caractere specificat. Acest lucru afectează numai conversia valorilor codului de caractere în nume simbolice. Valorile valabile pentru set-caractere sunt în prezent iso-8859-X, unde X este o cifră cuprinsă între 1-9. Dacă nu este specificat niciun set-caractere, iso-8859-1 este utilizat ca valoare implicită. Această opțiune produce o linie de ieșire „charset "iso-8859-X"”, care îi indică lui «loadkeys» cum să interpreteze schema tastelor; (de exemplu, „diviziune” este 0xf7 în iso-8859-1, dar 0xba în iso-8859-8).

-Cdispozitiv  --console=dispozitiv
    Dispozitivul de consolă vizat poate fi specificat cu ajutorul opțiunii -C (sau --console ). Această opțiune acceptă exact un singur nume de dispozitiv.

-v --verbose
    Activează generarea de mesaje descriptive la ieșire.

-V --version
    Afișează numărul de versiune și iese.

FIȘIERE

/usr/share/keymaps
    Directorul recomandat pentru fișierele de tabele de taste.

CONSULTAȚI ȘI
loadkeys(1), keymaps(5)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.